## ceilometer 9.0.6

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

cachetools>=1.1.0 # MIT License
cotyledon>=1.3.0 #Apache-2.0
futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
futurist>=0.11.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
jsonpath-rw-ext>=0.1.9 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
kafka-python>=1.3.2 # Apache-2.0
keystonemiddleware!=4.19.0,!=4.1.0,>=4.0.0 # Apache-2.0
lxml>=2.3 # BSD
monotonic
msgpack-python>=0.4.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.22.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pbr>=1.6 # Apache-2.0
pecan>=1.0.0 # BSD
oslo.messaging>=5.12.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
pysnmp<5.0.0,>=4.2.3 # BSD
python-glanceclient>=2.0.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
python-neutronclient>=4.2.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
python-cinderclient>=1.6.0,!=1.7.0,!=1.7.1  # Apache-2.0
PyYAML>=3.1.0 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.9.0 # Apache-2.0
tenacity>=3.2.1  # Apache-2.0
tooz[zake]>=1.47.0 # Apache-2.0
WebOb>=1.5.0 # MIT
WSME>=0.8 # MIT
# NOTE(jd) We do not import it directly, but WSME datetime string parsing
# behaviour changes when this library is installed
python-dateutil>=2.4.2 # BSD
os-xenapi>=0.1.1 # Apache-2.0

=== debian/changelog ===
ceilometer (1:9.0.6-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1778739).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Jun 2018 14:22:58 -0400

ceilometer (1:9.0.5-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 22 Mar 2018 20:44:41 +0000

=== debian/control ===
Source: ceilometer
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: apache2-dev,
               debhelper (>= 9),
               dh-apache2,
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.10.0),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-awsauth,
                     python-cachetools (>= 1.1.0),
                     python-cinderclient (>= 1.6.0),
                     python-concurrent.futures (>= 3.0),
                     python-cotyledon (>= 1.3.0),
                     python-coverage (>= 3.6),
                     python-croniter,
                     python-dateutil (>= 2.4.2),
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 1.3.1),
                     python-futurist (>= 0.11.0),
                     python-gabbi (>= 1.30.0),
                     python-glanceclient (>= 1:2.0.0),
                     python-gnocchiclient (>= 2.7.0),
                     python-happybase (>= 0.5),
                     python-jsonpath-rw-ext (>= 0.1.9),
                     python-jsonschema (>= 2.0.0),
                     python-kafka (>= 1.3.2),
                     python-keystoneauth1 (>= 2.1.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-lxml (>= 2.3),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.2),
                     python-monotonic,
                     python-msgpack (>= 0.4.0),
                     python-neutronclient (>= 1:4.2.0),
                     python-novaclient (>= 2:2.29.0),
                     python-openssl (>= 0.14),
                     python-openstackdocstheme (>= 1.11.0),
                     python-os-api-ref (>= 0.1.0),
                     python-os-testr (>= 0.4.1),
                     python-os-win (>= 0.2.3),
                     python-os-xenapi (>= 0.1.1),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.22.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 5.12.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.vmware (>= 1.16.0),
                     python-oslotest (>= 2.15.0),
                     python-pastedeploy (>= 1.5.0),
                     python-pecan (>= 1.0.0),
                     python-psycopg2 (>= 2.5),
                     python-pymongo,
                     python-pymysql,
                     python-pysnmp4 (>= 4.2.3),
                     python-requests (>= 2.8.1),
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-pecanwsme (>= 0.8),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.9.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-tempest (>= 1:11.0.0),
                     python-tenacity (>= 3.2.1),
                     python-testrepository (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.47.0),
                     python-webob (>= 1.5.0),
                     python-webtest (>= 2.0),
                     python-wsme (>= 0.8),
                     python-yaml (>= 3.1.0),
                     python-zaqarclient (>= 1.0.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer

Package: python-ceilometer
Architecture: all
Depends: python-cachetools (>= 1.1.0),
         python-cinderclient (>= 1.6.0),
         python-concurrent.futures (>= 3.0),
         python-cotyledon,
         python-croniter,
         python-dateutil (>= 2.4.2),
         python-debtcollector (>= 1.2.0),
         python-futurist (>= 0.11.0),
         python-glanceclient (>= 1:2.0.0),
         python-jsonpath-rw-ext (>= 0.1.9),
         python-jsonschema,
         python-keystoneauth1 (>= 2.1.0),
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 4.0.0),
         python-libvirt,
         python-lxml,
         python-migrate (>= 0.9.6),
         python-monotonic,
         python-msgpack (>= 0.4.0),
         python-neutronclient (>= 4.2.0),
         python-novaclient (>= 2:2.29.0),
         python-os-xenapi (>= 0.1.1),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.22.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.12.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.5.0),
         python-pastedeploy,
         python-pecan (>= 1.0.0),
         python-pysnmp4 (>= 4.2.3),
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.9.0),
         python-swiftclient (>= 1:2.2.0),
         python-tenacity (>= 3.2.1),
         python-tooz (>= 1.47.0),
         python-webob,
         python-wsme (>= 0.8),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-gnocchiclient,
          python-kafka (>= 1.3.2),
          python-psycopg2,
          python-pymongo,
          python-pymysql,
          python-zaqarclient (>= 1.0.0),
Description: ceilometer python libraries
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the python libraries that are needed for all parts
 of ceilometer

Package: ceilometer-common
Architecture: all
Depends: adduser,
         python-ceilometer (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Breaks: ceilometer-polling (<< 1:5.0.0~rc1-0ubuntu2~),
Replaces: ceilometer-polling (<< 1:5.0.0~rc1-0ubuntu2~),
Description: ceilometer common files
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of ceilometer

Package: ceilometer-collector
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Suggests: mongodb,
Description: ceilometer collector service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the collector service

Package: ceilometer-polling
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Suggests: mongodb,
Description: ceilometer polling service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: ceilometer-api
Architecture: all
Depends: apache2 | httpd,
         ceilometer-common (= ${binary:Version}),
         libapache2-mod-wsgi,
         ${misc:Depends},
         ${python:Depends},
Suggests: mongodb,
Description: ceilometer api service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 This package contains the api service

Package: ceilometer-agent-compute
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: ceilometer compute agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent

Package: ceilometer-agent-central
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: ceilometer central agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-ipmi
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ipmitool,
         ${misc:Depends},
         ${python:Depends},
Description: ceilometer ipmi agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)
export HOME="$(CURDIR)/debian/test"

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with apache2,python2,systemd

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
		TEMP_REZ=`mktemp -t` && \
			OS_TEST_PATH=./ceilometer/tests/unit testr run --subunit | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ
endif

override_dh_install:
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/ceilometer/ceilometer-config-generator.conf
	python setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	dh_install --fail-missing -Xusr/etc -Xusr/bin/ceilometer-api \

override_dh_auto_clean:
	dh_auto_clean
	rm -f etc/ceilometer/ceilometer.conf etc/ceilometer/ceilometer.conf.sample
	rm -rf .testrepository
	rm -rf pbr*.egg
	rm -f debian/*.init debian/*.service debian/*.upstart

=== debian/tests/control ===
Tests: test-services test-python-ceilometer
Depends: python-ceilometer, ceilometer-common, ceilometer-collector, ceilometer-api, ceilometer-agent-compute, ceilometer-agent-central, ceilometer-agent-ipmi, ceilometer-agent-notification, ceilometer-polling, rabbitmq-server, python-libvirt, libvirt-daemon-system

## ceilometer 10.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

cachetools>=1.1.0 # MIT License
cotyledon>=1.3.0 #Apache-2.0
futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
futurist>=0.11.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
jsonpath-rw-ext>=0.1.9 # Apache-2.0
lxml>=2.3 # BSD
monotonic
msgpack-python>=0.4.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.22.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
pbr>=1.6 # Apache-2.0
oslo.messaging>=5.12.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
pysnmp<5.0.0,>=4.2.3 # BSD
python-glanceclient>=2.0.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
python-neutronclient>=4.2.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
python-cinderclient>=1.6.0,!=1.7.0,!=1.7.1  # Apache-2.0
PyYAML>=3.1.0 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.9.0 # Apache-2.0
tenacity>=3.2.1  # Apache-2.0
tooz[zake]>=1.47.0 # Apache-2.0
os-xenapi>=0.1.1 # Apache-2.0

=== debian/changelog ===
ceilometer (1:10.0.0-0ubuntu1) bionic; urgency=medium

  * New release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Feb 2018 09:46:25 +0000

ceilometer (1:10.0.0~b1~git20180129.80063cd8-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-ujson.patch: Dropped. Fixed upstream in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 29 Jan 2018 16:33:53 -0500

ceilometer (1:10.0.0~b1~git20171213.ca51d0d7-0ubuntu4) bionic; urgency=medium

  * d/tests/*: Update for removal of ceilometer-api and ceilometer-collector.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Jan 2018 10:37:05 +0000

ceilometer (1:10.0.0~b1~git20171213.ca51d0d7-0ubuntu3) bionic; urgency=medium

  * d/control,d/p/drop-ujson.patch: Switch back to using oslo.serialization
    in preference to ujson.

 -- James Page <james.page@ubuntu.com>  Thu, 04 Jan 2018 14:57:29 +0000

ceilometer (1:10.0.0~b1~git20171213.ca51d0d7-0ubuntu2) bionic; urgency=medium

  * d/control: Bump minimum gnocchiclient to 4.0.0.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Dec 2017 15:42:29 +0000

ceilometer (1:10.0.0~b1~git20171213.ca51d0d7-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot for OpenStack Queens.
  * d/p/*: Dropped, no longer needed.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/rules,control,test-blacklist.txt: Switch to using ostestr for unit tests,
    blacklist tests that require ceilometer binary entry points.
  * d/control: Bump minimum debhelper version to 10, drop BD on dh-
    systemd.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/control,ceilometer-api.*: Drop API package, no longer ships
    upstream.
  * d/ceilometer-common.install: Drop old binaries and related
    configuration files.
  * d/control,ceilometer-collector.*: Dro collector service inline with
    upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Dec 2017 09:54:51 +0000

=== debian/rules ===
--- 
+++ 
@@ -11,19 +11,14 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@  --with apache2,python2,systemd
+	dh $@  --with python2,systemd
 
 get-orig-source:
 	uscan --verbose --force-download --rename --destdir=../build-area
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	rm -rf .testrepository
-	testr init && \
-	set -e && \
-		TEMP_REZ=`mktemp -t` && \
-			OS_TEST_PATH=./ceilometer/tests/unit testr run --subunit | tee $$TEMP_REZ | subunit2pyunit; \
-	rm -f $$TEMP_REZ
+	OS_TEST_PATH=./ceilometer/tests/unit ostestr --blacklist-file=$(CURDIR)/debian/test-blacklist.txt
 endif
 
 override_dh_install:

=== debian/tests/control ===
Tests: test-services test-python-ceilometer
Depends: python-ceilometer, ceilometer-common, ceilometer-agent-compute, ceilometer-agent-central, ceilometer-agent-ipmi, ceilometer-agent-notification, ceilometer-polling, rabbitmq-server, python-libvirt, libvirt-daemon-system

## ceilometer 10.0.1

=== debian/changelog ===
ceilometer (1:10.0.1-0ubuntu0.18.04.2) bionic; urgency=medium

  * Backport fix to only log polling.yaml contents as DEBUG (LP: #1811098)
    - d/p/Only-print-polling.yaml-file-contents-as-DEBUG.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Fri, 11 Jan 2019 18:16:31 +0000

ceilometer (1:10.0.1-0ubuntu0.18.04.1) bionic; urgency=medium

  [ James Page ]
  * New upstream point release (LP: #1778747).

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/queens branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Jun 2018 13:59:42 -0400

=== debian/control ===
Source: ceilometer
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 1.10.0),
 python-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-awsauth (>= 0.1.4),
 python-cachetools (>= 2.0.0),
 python-cinderclient (>= 1:1.6.0),
 python-concurrent.futures (>= 3.0),
 python-cotyledon (>= 1.3.0),
 python-coverage (>= 3.6),
 python-croniter,
 python-dateutil (>= 2.4.2),
 python-debtcollector (>= 1.2.0),
 python-fixtures (>= 1.3.1),
 python-futurist (>= 0.11.0),
 python-gabbi (>= 1.30.0),
 python-glanceclient (>= 1:2.0.0),
 python-gnocchiclient (>= 4.0.0),
 python-jsonpath-rw-ext (>= 0.1.9),
 python-kafka (>= 1.3.2),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:1.6.0),
 python-lxml (>= 2.3),
 python-mock (>= 2.0.0),
 python-monotonic,
 python-msgpack (>= 0.4.0),
 python-neutronclient (>= 1:4.2.0),
 python-novaclient (>= 2:2.29.0),
 python-openssl (>= 0.14),
 python-openstackdocstheme (>= 1.18.1),
 python-os-testr (>= 1.0.0),
 python-os-win (>= 0.2.3),
 python-os-xenapi (>= 0.3.1),
 python-oslo.cache (>= 1.26.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.reports (>= 0.6.0),
 python-oslo.rootwrap (>= 2.0.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.vmware (>= 1.16.0),
 python-oslotest (>= 1:2.15.0),
 python-pysnmp4 (>= 4.2.3),
 python-requests (>= 2.8.1),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.9.0),
 python-swiftclient (>= 1:2.2.0),
 python-tempest (>= 1:14.0.0),
 python-tenacity (>= 3.2.1),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-tooz (>= 1.47.0),
 python-yaml (>= 3.1.0),
 python-zaqarclient (>= 1.0.0),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer

Package: ceilometer-agent-central
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: ceilometer central agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-compute
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: ceilometer compute agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent

Package: ceilometer-agent-ipmi
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ipmitool,
 ${misc:Depends},
 ${python:Depends},
Description: ceilometer ipmi agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the ipmi agent.

Package: ceilometer-agent-notification
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: ceilometer notification agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent.

Package: ceilometer-common
Architecture: all
Depends:
 adduser,
 python-ceilometer (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
Breaks:
 ceilometer-polling (<< 1:5.0.0~rc1-0ubuntu2~),
Replaces:
 ceilometer-polling (<< 1:5.0.0~rc1-0ubuntu2~),
Description: ceilometer common files
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of ceilometer

Package: ceilometer-polling
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 mongodb,
Description: ceilometer polling service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: python-ceilometer
Architecture: all
Depends:
 python-cachetools (>= 2.0.0),
 python-cinderclient (>= 1:1.6.0),
 python-concurrent.futures (>= 3.0),
 python-cotyledon (>= 1.3.0),
 python-croniter,
 python-dateutil (>= 2.4.2),
 python-debtcollector (>= 1.2.0),
 python-futurist (>= 0.11.0),
 python-glanceclient (>= 1:2.0.0),
 python-jsonpath-rw-ext (>= 0.1.9),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:1.6.0),
 python-libvirt,
 python-lxml (>= 2.3),
 python-monotonic,
 python-msgpack (>= 0.4.0),
 python-neutronclient (>= 1:4.2.0),
 python-novaclient (>= 2:2.29.0),
 python-os-xenapi (>= 0.3.1),
 python-oslo.cache (>= 1.26.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.reports (>= 0.6.0),
 python-oslo.rootwrap (>= 2.0.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 1.10.0),
 python-pysnmp4 (>= 4.2.3),
 python-requests (>= 2.8.1),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.9.0),
 python-swiftclient (>= 1:2.2.0),
 python-tenacity (>= 3.2.1),
 python-tooz (>= 1.47.0),
 python-yaml (>= 3.1.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-gnocchiclient (>= 4.0.0),
 python-kafka (>= 1.3.2),
 python-zaqarclient (>= 1.0.0),
Description: ceilometer python libraries
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the python libraries that are needed for all parts
 of ceilometer

## ceilometer 11.0.0

=== debian/changelog ===
ceilometer (1:11.0.0-3) unstable; urgency=medium

  * Fix pysnmp's cmdgen module path, fixing FTBFS (Closes: #909985).

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Oct 2018 09:38:27 +0200

ceilometer (1:11.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Don't use wait_for_line, just wait 10 seconds.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 23:27:17 +0200

ceilometer (1:11.0.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Fixed better init description.
  * New upstream release.
  * Fixed (build-)depends for this release.

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jun 2018 09:51:03 +0000

ceilometer (1:10.0.0-5) unstable; urgency=medium

  * Add missing ceilometer-polling service.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 May 2018 09:37:25 +0200

ceilometer (1:10.0.0-4) unstable; urgency=medium

  * Using debconf templates from openstack-pkg-tools, dropping our own.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Mar 2018 22:57:29 +0000

ceilometer (1:10.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 15:12:05 +0000

ceilometer (1:10.0.0-2) experimental; urgency=medium

  * Some more Python 3 switch fixes.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Feb 2018 15:28:35 +0000

ceilometer (1:10.0.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Fixed default lock_path in config file.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed ceilometer-{collector,api} (it's gone upstream too). Make the
    ceilometer-common package Conflicts: on them to ensure removal.
  * Standards-Version: is now 4.1.3.
  * Fixed ceilometer-agent-central short desc.
  * Switch package to Python 3.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Feb 2018 10:46:25 +0000

ceilometer (1:9.0.4-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed ceilometer-api UWSGI startup.

  [ David Rabel ]
  * Update fr.po (Closes: #885588).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jan 2018 08:56:12 +0100

ceilometer (1:9.0.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * (build-)depends on python-zaqarclient (Closes: #880129).
  * Updated pt.po (Closes: #872179).
  * Removed dh-systemd build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Oct 2017 20:22:18 +0100

ceilometer (1:9.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Ran wrap-and-sort -bast.
  * Updated VCS URLs.
  * Updating maintainer field.
  * Updating standards version to 4.1.1.
  * Fixed (build-)depends for this release.
  * Minor debian/rules clean-ups.
  * Fixed namespaces for ceilometer.conf.
  * Fixed ceilometer-common.install (updated to match upstream).

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Oct 2017 02:37:14 +0200

=== debian/control ===
Source: ceilometer
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 75~),
 po-debconf,
 python3-all,
 python3-pbr (>= 1.8),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 git,
 mongodb,
 python3-awsauth,
 python3-cachetools,
 python3-ceilometerclient (>= 2.2.1),
 python3-cinderclient (>= 1:1.6.0),
 python3-cotyledon (>= 1.3.0),
 python3-coverage <!nocheck>,
 python3-debtcollector (>= 1.2.0),
 python3-fixtures <!nocheck>,
 python3-futurist (>= 0.11.0),
 python3-gabbi (>= 1.30.0),
 python3-glanceclient (>= 1:2.0.0),
 python3-gnocchiclient (>= 7.0.0),
 python3-jsonpath-rw-ext (>= 0.1.9),
 python3-keystoneauth1 (>= 2.1.0),
 python3-keystoneclient (>= 1:1.6.0),
 python3-kombu,
 python3-lxml,
 python3-mock,
 python3-monotonic,
 python3-msgpack (>= 0.4.0),
 python3-mysqldb,
 python3-neutronclient (>= 1:4.2.0),
 python3-novaclient (>= 2:2.29.0),
 python3-openssl,
 python3-openstackdocstheme (>= 1.11.0),
 python3-os-api-ref (>= 0.1.0),
 python3-os-win (>= 0.2.3),
 python3-os-xenapi,
 python3-oslo.cache (>= 1.5.0),
 python3-oslo.concurrency (>= 3.5.0),
 python3-oslo.config (>= 1:3.22.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.log (>= 2.0.0),
 python3-oslo.messaging (>= 5.12.0),
 python3-oslo.reports (>= 1.0.0),
 python3-oslo.rootwrap (>= 2.0.0),
 python3-oslo.utils (>= 3.5.0),
 python3-oslo.vmware (>= 1.16.0),
 python3-oslotest (>= 1:2.15.0),
 python3-pastedeploy,
 python3-psycopg2 (>= 2.5),
 python3-pymongo (>= 3.0.2),
 python3-pymysql,
 python3-pysnmp4,
 python3-requests (>= 2.8.1),
 python3-six (>= 1.9.0),
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.httpdomain,
 python3-stestr <!nocheck>,
 python3-stevedore (>= 1.9.0),
 python3-swiftclient (>= 1:2.2.0),
 python3-tempest (>= 1:12.1.0) <!nocheck>,
 python3-tenacity (>= 3.2.1),
 python3-testscenarios <!nocheck>,
 python3-testtools (>= 1.4.0) <!nocheck>,
 python3-tooz (>= 1.47.0),
 python3-webtest (>= 2.0) <!nocheck>,
 python3-werkzeug,
 python3-yaml,
 python3-zaqarclient,
 subunit <!nocheck>,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ceilometer
Vcs-Git: https://salsa.debian.org/openstack-team/services/ceilometer.git
Homepage: http://wiki.openstack.org/Ceilometer

Package: ceilometer-agent-central
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - agent central
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-compute
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - compute agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent.

Package: ceilometer-agent-ipmi
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ipmitool,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - IPMI agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the IPMI agent daemon.

Package: ceilometer-agent-notification
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - notification agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent daemon.

Package: ceilometer-alarm-evaluator
Architecture: all
Depends:
 aodh-evaluator,
 ${misc:Depends},
Description: OpenStack efficient metering counters system - aodh-evaluator trans
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package is a dummy transition package to aodh-evaluator and can be safely
 removed.

Package: ceilometer-alarm-notifier
Architecture: all
Depends:
 aodh-notifier,
 ${misc:Depends},
Description: OpenStack efficient metering counters system - aodh-notifier trans
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package is a dummy transition package to aodh-notifier and can be safely
 removed.

Package: ceilometer-common
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 ceilometer-api,
 ceilometer-collector,
Description: OpenStack efficient metering counters system - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Ceilometer.

Package: ceilometer-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack efficient metering counters system - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

Package: ceilometer-polling
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 mongodb,
Description: OpenStack efficient metering counters system - Polling agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: python3-ceilometer
Section: python
Architecture: all
Depends:
 libjs-jquery,
 python3-cachetools,
 python3-ceilometerclient (>= 2.2.1),
 python3-cinderclient,
 python3-cotyledon (>= 1.3.0),
 python3-debtcollector (>= 1.2.0),
 python3-futurist (>= 0.11.0),
 python3-glanceclient (>= 1:2.0.0),
 python3-gnocchiclient (>= 7.0.0),
 python3-greenlet,
 python3-jsonpath-rw-ext (>= 0.1.9),
 python3-keystoneauth1 (>= 2.1.0),
 python3-keystoneclient (>= 1:1.6.0),
 python3-kombu,
 python3-lxml,
 python3-monotonic,
 python3-msgpack (>= 0.4.0),
 python3-mysqldb,
 python3-neutronclient (>= 1:4.2.0),
 python3-novaclient (>= 2:2.29.0),
 python3-os-xenapi,
 python3-oslo.concurrency (>= 3.5.0),
 python3-oslo.config (>= 1:3.22.0),
 python3-oslo.context (>= 0.2.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.log (>= 2.0.0),
 python3-oslo.messaging (>= 5.12.0),
 python3-oslo.reports (>= 1.0.0),
 python3-oslo.rootwrap (>= 2.0.0),
 python3-oslo.service (>= 1.0.0),
 python3-oslo.utils (>= 3.5.0),
 python3-oslo.vmware (>= 1.16.0),
 python3-pastedeploy,
 python3-pbr (>= 1.8),
 python3-pymongo,
 python3-pymysql,
 python3-pysnmp4,
 python3-requests (>= 2.8.1),
 python3-six (>= 1.9.0),
 python3-stevedore (>= 1.9.0),
 python3-swiftclient (>= 1:2.2.0),
 python3-tenacity (>= 3.2.1),
 python3-tooz (>= 1.47.0),
 python3-werkzeug,
 python3-yaml,
 python3-zaqarclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python libraries that are needed for all parts of
 Ceilometer.

=== debian/rules ===
#!/usr/bin/make -f

export HOME="$(CURDIR)/debian/test"
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf .testrepository
	rm -f debian/ceilometer-common.config debian/ceilometer-common.postinst

override_dh_auto_clean:
	rm -rf .testrepository
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.postinst
	pkgos-merge-templates ceilometer-common ceilometer rabbit

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages bash -x ./debian/setup-test-env-mongodb.sh pkgos-dh_auto_test --no-py2 'tests\.(?!(.*test_bin.*|.*functional.*|.*gabbi\.test_gabbi_prefix.*|.*meter\.test_notifications\.TestMeterProcessing\.test_fallback_meter_path.*|.*agent\.test_manager\.TestRunTasks\.test_batching_polled_samples_false.*))'
endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install
	dh_missing --fail-missing

	# Manage ceilometer.conf
	mkdir -p $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf \
		--wrap-width 140 \
		--namespace ceilometer \
		--namespace ceilometer-auth \
		--namespace oslo.concurrency \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.service.service

	# Fix default path for lock_path
	pkgos-fix-config-default $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf oslo_concurrency lock_path /var/lock/ceilometer

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html
	mkdir -p $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html/_static
	touch $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html/_static/toggle.js
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
